#!/usr/bin/env python
import commands, os, time, sys

window = 30*1000
def start():
    fn = "/u/maoy/GeoRouting/cr/eval/single_failure.log"
    output_rate = "single_f_rate.matlab"
    output_dead = "single_f_dead.matlab"
    
    request = 0
    response = 0
    win_start = 0
    win_counter = 0
    dead_node = 0
    fd1 = open(output_rate,'w')
    fd2 = open(output_dead, 'w')
    leftover = 0
    for line in open(fn):
        if len(line)<13: continue
        if line[13]!=':': continue
        t = long(line[:13])
        if t-win_start> window:
            print win_counter, request, response
               
            if request>0:
                if response>request:
                    fd1.write("%d %.3f\n" % (win_counter, 1))
                    response = response - request
                else:
                    fd1.write("%d %.3f\n" % (win_counter, float(response)/request))
                    response = 0
            win_start = t
            request = 0
            win_counter += 1
        if line.find('Routing')>=0:
            request +=1
        elif line.find('delivered')>=0:
            response +=1
        elif line.find('dead')>=0:
            print win_counter/2-1, line
            dead_node += 1
            fd2.write("%d %d\n" % (win_counter, dead_node))

    fd1.close()
    fd2.close()

if __name__=='__main__':
    if len(sys.argv)==1:
        start()
