#!/usr/bin/python
import os, sys, time, commands, testbed

measure_template = "java net.tinyos.cr.TestMeasure  %d %d measure %d %d %d"
clear_template = "java net.tinyos.cr.TestMeasure %d %d clear"
count_template = "java net.tinyos.cr.TestMeasure %d %d count %d"

retry = 5
def usage():
    print "usage: count_all.py gateway_map matrix_fn"

def count_all():
    if len(sys.argv)<>3:
        usage()
        return
    
    gw_file = sys.argv[1]
    matrix_file = sys.argv[2]

    m = testbed.MeasureTestbed(gw_file)
    m.count_all(matrix_file, retry=retry)
    

def main():
    count_all()

if __name__=='__main__':
    main()
    
