#!/usr/bin/python
import os, sys, time, testbed

measure_template = "java net.tinyos.cr.TestMeasure  %d %d measure %d %d %d"

def usage():
    print "usage: measure_all.py  gateway_map n_packets interval (ms) power_level sleep_interval (second)"
    print "e.g.: measure_all.py  42map 100 200 3 10"

def clear_all():
    if len(sys.argv)<>6:
        usage()
        return
    
    gw_file = sys.argv[1];
    n_packets = int(sys.argv[2]);
    interval = int(sys.argv[3]);
    power_level = int(sys.argv[4]);
    sleep_interval = int(sys.argv[5]);

    m = testbed.MeasureTestbed(gw_file)

    print m.measure_all(n_packets, interval, power_level, sleep_interval);
    return

def main():
    clear_all()

if __name__=='__main__':
    main()
    
