#!/usr/bin/env python
import commands, os, time, sys

n_flows = [2,3 ,4,5,6]
repeat = 10
flow_duration = 3
flow_interval = 2
def start():
    template = "java net.tinyos.cr.RoutingTest 42map_p3 multi %d %d %d > %s"
    for n_flow in n_flows:
        for i in range(repeat):
            log_fn = "multi_%d_%d.log" % (n_flow, i)
            cmd = template % (n_flow*flow_interval, flow_interval*1000, flow_duration, log_fn)
            print cmd
            os.system(cmd)
            time.sleep(5)
            
def check():
    for n_flow in n_flows:
        for i in range(repeat):
            log_fn = "multi_%d_%d.log" % (n_flow, i)
            expected = flow_duration*60*n_flow
            (status, output) = commands.getstatusoutput("grep deliver %s|wc --lines" %(log_fn,))
            if status!=0:
                print output
                sys.exit(-1)
            print n_flow, i, expected, output
            #print float(output)/expected
if __name__=='__main__':
    if len(sys.argv)==1:
        start()
    else:
        check()
