#!/usr/bin/env python
import sys, commands, time

def convert(raw_fn):
    current_id = 0
    for line in open(raw_fn):
        if not line: continue
        if line[0] != '#': continue
        (str_entry, str_dest, str_parent, str_hop, str_scope) = line[1:].strip().split()
        if str_entry=='0':
            current_id += 1
        hop = int(str_hop.split(':')[1])
        dest = int(str_dest.split(':')[1])
        if hop==1:
            print current_id, dest
        elif hop==0:
            current_id = dest
            
if __name__=='__main__':
    convert(sys.argv[1])
