#!/usr/bin/env python
# find the gateway mote for each existing motes
import sys, commands

template = "java net.tinyos.cr.TestMeasure %d %d led"

def usage():
    print "usage: search_gw.py max_node_id max_gw_id gw_file"
def main():
    if len(sys.argv)<>4:
        usage()
        return
    max_node_id = int(sys.argv[1]);
    max_gw_id = int(sys.argv[2]);
    gw_file = sys.argv[3];

    fd = open(gw_file, 'w')
    fd.write('gateway_num %d\n' % (max_gw_id));
    gateways = range(1, max_gw_id+1)
    
    for node in range(1, max_node_id+1):
        node_gw = 0
        if node in gateways:
            node_gw = node
            
        else:
            print 'node',node,'trying..',
            for gw in gateways:
                print gw
                cmd = template % (gw, node)
                
                (status, output) = commands.getstatusoutput(cmd)
                
                if status==0:
                    node_gw = gw
                    break
        if node_gw>0:
            print "node", node, "gateway", node_gw
            fd.write("mote %d %d\n" %(node_gw, node))
            
        
    fd.close()

if __name__=='__main__':
    main()
    
